# Uses of Class
org.apache.felix.http.base.internal.registry.PerContextHandlerRegistry

Packages that use PerContextHandlerRegistry
Package
Description
org.apache.felix.http.base.internal.registry
org.apache.felix.http.base.internal.service
org.apache.felix.http.base.internal.whiteboard

## Uses of PerContextHandlerRegistry in org.apache.felix.http.base.internal.registry

Fields in org.apache.felix.http.base.internal.registry declared as PerContextHandlerRegistry
Modifier and Type
Field
Description
`PerContextHandlerRegistry`
ServletResolution.`handlerRegistry`
Methods in org.apache.felix.http.base.internal.registry that return PerContextHandlerRegistry
Modifier and Type
Method
Description
`PerContextHandlerRegistry`
HandlerRegistry.`getBestMatchingRegistry(String requestURI)`
`PerContextHandlerRegistry`
HandlerRegistry.`getRegistry(long key)`
Methods in org.apache.felix.http.base.internal.registry with parameters of type PerContextHandlerRegistry
Modifier and Type
Method
Description
`void`
HandlerRegistry.`add(@NotNull PerContextHandlerRegistry registry)`
Add a new context registration.
`int`
PerContextHandlerRegistry.`compareTo(@NotNull PerContextHandlerRegistry other)`

## Uses of PerContextHandlerRegistry in org.apache.felix.http.base.internal.service

Constructors in org.apache.felix.http.base.internal.service with parameters of type PerContextHandlerRegistry
Modifier
Constructor
Description
``
`ServletContextImpl(org.osgi.framework.Bundle bundle, jakarta.servlet.ServletContext context, org.osgi.service.http.HttpContext httpContext, boolean sharedAttributes, PerContextHandlerRegistry registry)`
Create a new servlet context implementation
``
`ServletContextManager(org.osgi.framework.Bundle bundle, jakarta.servlet.ServletContext context, boolean sharedAttributes, PerContextHandlerRegistry registry)`

## Uses of PerContextHandlerRegistry in org.apache.felix.http.base.internal.whiteboard

Methods in org.apache.felix.http.base.internal.whiteboard that return PerContextHandlerRegistry
Modifier and Type
Method
Description
`PerContextHandlerRegistry`
HttpServiceContextHandler.`getRegistry()`
`@Nullable PerContextHandlerRegistry`
WhiteboardContextHandler.`getRegistry()`
Constructors in org.apache.felix.http.base.internal.whiteboard with parameters of type PerContextHandlerRegistry
Modifier
Constructor
Description
``
`HttpServiceContextHandler(ServletContextHelperInfo info, PerContextHandlerRegistry registry, HttpServiceFactory httpServiceFactory, jakarta.servlet.ServletContext webContext, org.osgi.framework.Bundle httpBundle)`
``
`PerBundleServletContextImpl(org.osgi.framework.Bundle bundle, jakarta.servlet.ServletContext sharedContext, org.osgi.service.servlet.context.ServletContextHelper delegatee, PerContextHandlerRegistry handlerRegistry)`
Create a new context implementation
``
`SharedServletContextImpl(jakarta.servlet.ServletContext webContext, String name, String path, Map<String,String> initParameters, PerContextHandlerRegistry registry)`